ForStatement (Groovy 5.0.0)

Package: org.codehaus.groovy.ast.stmt

## [Java] Class ForStatement

- org.codehaus.groovy.ast.stmt.ForStatement

- All Implemented Interfaces and Traits:
    LoopingStatement

      public class ForStatement
      extends Statement
      implements LoopingStatement

  Represents a for loop in Groovy.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Parameter` | `FOR_LOOP_DUMMY` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForStatement(Parameter indexVariable, Parameter valueVariable, Expression collectionExpression, Statement loopBlock)` Since: 5.0.0
    `ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getCollectionExpression()`
    `` | `public Parameter` | `getIndexVariable()` Since: 5.0.0
    `` | `public Statement` | `getLoopBlock()`
    `` | `public Parameter` | `getValueVariable()` Since: 5.0.0
    `` | `public Parameter` | `getVariable()`
    `` | `public VariableScope` | `getVariableScope()`
    `` | `public ClassNode` | `getVariableType()`
    `` | `public void` | `setCollectionExpression(Expression collectionExpression)`
    `` | `public void` | `setLoopBlock(Statement loopBlock)`
    `` | `public void` | `setVariableScope(VariableScope scope)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isCloseOnCompletion, isClosed, isPoolable, isSimpleIdentifier, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

- - ### Field Detail

    - #### public static final Parameter FOR_LOOP_DUMMY

  - ### Constructor Detail

    - #### public ForStatement(Parameter indexVariable, Parameter valueVariable, Expression collectionExpression, Statement loopBlock)

      Since:
        5.0.0

    - #### public ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)

  - ### Method Detail

    - #### public Expression getCollectionExpression()

    - #### public Parameter getIndexVariable()

      Since:
        5.0.0

    - #### @Override
      public Statement getLoopBlock()

    - #### public Parameter getValueVariable()

      Since:
        5.0.0

    - #### @Deprecated(since = "5.0.0")
      public Parameter getVariable()

    - #### public VariableScope getVariableScope()

    - #### @Deprecated(since = "5.0.0")
      public ClassNode getVariableType()

    - #### public void setCollectionExpression(Expression collectionExpression)

    - #### @Override
      public void setLoopBlock(Statement loopBlock)

    - #### public void setVariableScope(VariableScope scope)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)